# Accounting Periods

A key step in configuring Finance is to create accounting periods in Zuora to match your company's financial calendar. 
This allows Zuora to produce reports and data exports organized by accounting periods, and to perform the work of closing the accounting periods for the revenue sub-ledger.

 - [GET /v1/accounting-periods](https://developer.zuora.com/v1-api-reference/api/accounting-periods/get_allaccountingperiods.md): Retrieves all accounting periods on your tenant.
 - [POST /v1/accounting-periods](https://developer.zuora.com/v1-api-reference/api/accounting-periods/post_accountingperiod.md): Creates an accounting period. Prerequisites --- * You must have Zuora Finance enabled on your tenant. * You must have the Create Accounting Period user permission. Limitations --- * When creati
 - [DELETE /v1/accounting-periods/{ap-id}](https://developer.zuora.com/v1-api-reference/api/accounting-periods/delete_accountingperiod.md): Deletes an accounting period. ### Prerequisites * You must have Zuora Finance enabled on your tenant. * You must have the Delete Accounting Period user permission. See [Finance Roles](https://docs.zuo
 - [GET /v1/accounting-periods/{ap-id}](https://developer.zuora.com/v1-api-reference/api/accounting-periods/get_accountingperiod.md): Retrieves an accounting period. **Prerequisites**: You must have Zuora Finance enabled on your tenant.
 - [PUT /v1/accounting-periods/{ap-id}](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_updateaccountingperiod.md): Updates an accounting period. Prerequisites --- * You must have Zuora Finance enabled on your tenant. * You must have the Create Accounting Period user permission. See [Finance Roles](https://docs.
 - [PUT /v1/accounting-periods/{ap-id}/close](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_closeaccountingperiod.md): Close an accounting period by accounting period ID. Prerequisites --- You must have Zuora Finance enabled on your tenant. You must have the Manage Close Process and Run Trial Balance user permissio
 - [PUT /v1/accounting-periods/{ap-id}/pending-close](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_pendingcloseaccountingperiod.md): Sets an accounting period to pending close. Prerequisites --- * You must have Zuora Finance enabled on your tenant. * You must have the Manage Close Process and Run Trial Balance user permissions.
 - [PUT /v1/accounting-periods/{ap-id}/reopen](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_reopenaccountingperiod.md): Re-opens an accounting period. Prerequisites --- * You must have Zuora Finance enabled on your tenant. * You must have the Manage Close Process and Run Trial Balance user permissions. Limitations
 - [PUT /v1/accounting-periods/{ap-id}/run-trial-balance](https://developer.zuora.com/v1-api-reference/api/accounting-periods/put_runtrialbalance.md): Runs the trial balance for an accounting period. Prerequisites --- * You must have Zuora Finance enabled on your tenant. * You must have the Manage Close Process and Run Trial Balance user permissi
